%global _empty_manifest_terminate_build 0
Name:		python-PyOpenGL
Version:	3.1.5
Release:	1
Summary:	Standard OpenGL bindings for Python
License:	BSD
URL:		http://pyopengl.sourceforge.net
Source0:	https://files.pythonhosted.org/packages/b8/73/31c8177f3d236e9a5424f7267659c70ccea604dab0585bfcd55828397746/PyOpenGL-3.1.5.tar.gz
BuildArch:	noarch

%description
PyOpenGL is the most common cross platform Python binding to OpenGL and related APIs.The binding is created using the standard ctypes library.and is provided under an extremely liberal BSD-style Open-Source license.

%package -n python3-PyOpenGL
Summary:	Standard OpenGL bindings for Python
Provides:	python-PyOpenGL
BuildRequires:	python3-devel
BuildRequires:	python3-setuptools
%description -n python3-PyOpenGL
PyOpenGL is the most common cross platform Python binding to OpenGL and related APIs.The bind
ing is created using the standard ctypes library.and isprovidedunderanextremelyliberalB
SD-styleOpen-Sourcelicense.

%package help
Summary:	Development documents and examples for PyOpenGL
Provides:	python3-PyOpenGL-doc
%description help
Development documents and examples for PyOpenGL

%prep
%autosetup -n PyOpenGL-3.1.5

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-PyOpenGL -f filelist.lst
%dir %{python3_sitelib}/*

%files help -f doclist.lst
%{_docdir}/*

%changelog
* Sun May 23 2021 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
